<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>print() for C++20: include/print_shortcuts.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">print() for C++20
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">print_shortcuts.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="print__options_8h_source.html">print_options.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="print_8h_source.html">print.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for print_shortcuts.h:</div>
<div class="dyncontent">
<div class="center"><img src="print__shortcuts_8h__incl.png" border="0" usemap="#include_2print__shortcuts_8h" alt=""/></div>
<map name="include_2print__shortcuts_8h" id="include_2print__shortcuts_8h">
<area shape="rect" title=" " alt="" coords="107,5,290,32"/>
<area shape="rect" href="print__options_8h.html" title=" " alt="" coords="237,229,355,256"/>
<area shape="rect" href="print_8h.html" title=" " alt="" coords="263,80,327,107"/>
<area shape="rect" title=" " alt="" coords="392,379,451,405"/>
<area shape="rect" title=" " alt="" coords="105,304,181,331"/>
<area shape="rect" title=" " alt="" coords="5,304,80,331"/>
<area shape="rect" title=" " alt="" coords="205,304,283,331"/>
<area shape="rect" href="terminalcolors_8h.html" title=" " alt="" coords="357,304,485,331"/>
<area shape="rect" title=" " alt="" coords="613,379,693,405"/>
<area shape="rect" href="print__atom_8h.html" title=" " alt="" coords="287,155,393,181"/>
<area shape="rect" href="print__concepts_8h.html" title=" " alt="" coords="481,229,610,256"/>
<area shape="rect" href="print__list_8h.html" title=" " alt="" coords="417,155,508,181"/>
<area shape="rect" title=" " alt="" coords="560,304,640,331"/>
<area shape="rect" title=" " alt="" coords="664,304,755,331"/>
</map>
</div>
</div>
<p><a href="print__shortcuts_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a788ded2645260df3472670e9808f3e19"><td class="memItemLeft" align="right" valign="top"><a id="a788ded2645260df3472670e9808f3e19"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>Color</b> = printing::PrintOptions::Color</td></tr>
<tr class="separator:a788ded2645260df3472670e9808f3e19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac94b5869333fa6528d1214b462457ff9"><td class="memItemLeft" align="right" valign="top"><a id="ac94b5869333fa6528d1214b462457ff9"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>Weight</b> = printing::PrintOptions::Weight</td></tr>
<tr class="separator:ac94b5869333fa6528d1214b462457ff9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bd80e5fdfe13ce2f9b325deccafc110"><td class="memItemLeft" align="right" valign="top"><a id="a4bd80e5fdfe13ce2f9b325deccafc110"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>Options</b> = printing::PrintOptions</td></tr>
<tr class="separator:a4bd80e5fdfe13ce2f9b325deccafc110"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89289b7ad1d1a61d69da184aa2e61540"><td class="memItemLeft" align="right" valign="top"><a id="a89289b7ad1d1a61d69da184aa2e61540"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>IntegerFormat</b> = printing::PrintOptions::IntegerFormat</td></tr>
<tr class="separator:a89289b7ad1d1a61d69da184aa2e61540"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1ab4f0c27c4ff565582026dcdcfb7a7"><td class="memItemLeft" align="right" valign="top"><a id="af1ab4f0c27c4ff565582026dcdcfb7a7"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>FloatFormat</b> = printing::PrintOptions::FloatFormat</td></tr>
<tr class="separator:af1ab4f0c27c4ff565582026dcdcfb7a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad796d5f97468589d917cd92a562a4528"><td class="memItemLeft" align="right" valign="top"><a id="ad796d5f97468589d917cd92a562a4528"></a>
constexpr Color&#160;</td><td class="memItemRight" valign="bottom"><b>Red</b> {Color::Red}</td></tr>
<tr class="separator:ad796d5f97468589d917cd92a562a4528"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2faffb2fa13956e3bbc22a8b4aa78cc2"><td class="memItemLeft" align="right" valign="top"><a id="a2faffb2fa13956e3bbc22a8b4aa78cc2"></a>
constexpr Color&#160;</td><td class="memItemRight" valign="bottom"><b>Green</b> {Color::Green}</td></tr>
<tr class="separator:a2faffb2fa13956e3bbc22a8b4aa78cc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab87f8e5e53b70dafcbf2bc38aadcd3da"><td class="memItemLeft" align="right" valign="top"><a id="ab87f8e5e53b70dafcbf2bc38aadcd3da"></a>
constexpr Color&#160;</td><td class="memItemRight" valign="bottom"><b>Blue</b> {Color::Blue}</td></tr>
<tr class="separator:ab87f8e5e53b70dafcbf2bc38aadcd3da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2bf73dc3556aa6ca71f9f0665c4b975"><td class="memItemLeft" align="right" valign="top"><a id="af2bf73dc3556aa6ca71f9f0665c4b975"></a>
constexpr Color&#160;</td><td class="memItemRight" valign="bottom"><b>Yellow</b> {Color::Yellow}</td></tr>
<tr class="separator:af2bf73dc3556aa6ca71f9f0665c4b975"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc20f29e239feac1ae54b11e6f823d7a"><td class="memItemLeft" align="right" valign="top"><a id="adc20f29e239feac1ae54b11e6f823d7a"></a>
constexpr Color&#160;</td><td class="memItemRight" valign="bottom"><b>Magenta</b> {Color::Magenta}</td></tr>
<tr class="separator:adc20f29e239feac1ae54b11e6f823d7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25c838f847a399f617501c1d1316d4e2"><td class="memItemLeft" align="right" valign="top"><a id="a25c838f847a399f617501c1d1316d4e2"></a>
constexpr Color&#160;</td><td class="memItemRight" valign="bottom"><b>Cyan</b> {Color::Cyan}</td></tr>
<tr class="separator:a25c838f847a399f617501c1d1316d4e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a719ba46b17f5ee1b6549b4181b3db48f"><td class="memItemLeft" align="right" valign="top"><a id="a719ba46b17f5ee1b6549b4181b3db48f"></a>
constexpr Color&#160;</td><td class="memItemRight" valign="bottom"><b>White</b> {Color::White}</td></tr>
<tr class="separator:a719ba46b17f5ee1b6549b4181b3db48f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c63dc71320ab6b558e92daa8c192bd7"><td class="memItemLeft" align="right" valign="top"><a id="a6c63dc71320ab6b558e92daa8c192bd7"></a>
constexpr Color&#160;</td><td class="memItemRight" valign="bottom"><b>Error</b> {Color::Error}</td></tr>
<tr class="separator:a6c63dc71320ab6b558e92daa8c192bd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb3cab9b9873a22178e8b32e9c9b3edd"><td class="memItemLeft" align="right" valign="top"><a id="afb3cab9b9873a22178e8b32e9c9b3edd"></a>
constexpr Color&#160;</td><td class="memItemRight" valign="bottom"><b>Fail</b> {Color::Fail}</td></tr>
<tr class="separator:afb3cab9b9873a22178e8b32e9c9b3edd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78d99f73c56a1cb60b1b45d74cdab55d"><td class="memItemLeft" align="right" valign="top"><a id="a78d99f73c56a1cb60b1b45d74cdab55d"></a>
constexpr Color&#160;</td><td class="memItemRight" valign="bottom"><b>Notification</b> {Color::Notification}</td></tr>
<tr class="separator:a78d99f73c56a1cb60b1b45d74cdab55d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4859e029f82dea55a7be9cd0f56487c"><td class="memItemLeft" align="right" valign="top"><a id="af4859e029f82dea55a7be9cd0f56487c"></a>
constexpr Color&#160;</td><td class="memItemRight" valign="bottom"><b>Emphasis</b> {Color::Emphasis}</td></tr>
<tr class="separator:af4859e029f82dea55a7be9cd0f56487c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56f8f15d032dc061bf4dfaab778c4034"><td class="memItemLeft" align="right" valign="top"><a id="a56f8f15d032dc061bf4dfaab778c4034"></a>
constexpr Color&#160;</td><td class="memItemRight" valign="bottom"><b>Success</b> {Color::Success}</td></tr>
<tr class="separator:a56f8f15d032dc061bf4dfaab778c4034"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60847c208db9d53155e8fd543b9561b8"><td class="memItemLeft" align="right" valign="top"><a id="a60847c208db9d53155e8fd543b9561b8"></a>
constexpr Weight&#160;</td><td class="memItemRight" valign="bottom"><b>Bold</b> {Weight::Bold}</td></tr>
<tr class="separator:a60847c208db9d53155e8fd543b9561b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbc2f5da24b79fdd2c149a477d9ef6a2"><td class="memItemLeft" align="right" valign="top"><a id="acbc2f5da24b79fdd2c149a477d9ef6a2"></a>
constexpr IntegerFormat&#160;</td><td class="memItemRight" valign="bottom"><b>Decimal</b> {IntegerFormat::Decimal}</td></tr>
<tr class="separator:acbc2f5da24b79fdd2c149a477d9ef6a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58c70732e6794b11516261b4404dc6ae"><td class="memItemLeft" align="right" valign="top"><a id="a58c70732e6794b11516261b4404dc6ae"></a>
constexpr IntegerFormat&#160;</td><td class="memItemRight" valign="bottom"><b>Hexadecimal</b> {IntegerFormat::Hexadecimal}</td></tr>
<tr class="separator:a58c70732e6794b11516261b4404dc6ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19466b07898d7877fc633eb208ef74a"><td class="memItemLeft" align="right" valign="top"><a id="ae19466b07898d7877fc633eb208ef74a"></a>
constexpr IntegerFormat&#160;</td><td class="memItemRight" valign="bottom"><b>Octal</b> {IntegerFormat::Octal}</td></tr>
<tr class="separator:ae19466b07898d7877fc633eb208ef74a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f157e525f1df0b0c1774b1db6941d8d"><td class="memItemLeft" align="right" valign="top"><a id="a1f157e525f1df0b0c1774b1db6941d8d"></a>
constexpr FloatFormat&#160;</td><td class="memItemRight" valign="bottom"><b>Scientific</b> {FloatFormat::Scientific}</td></tr>
<tr class="separator:a1f157e525f1df0b0c1774b1db6941d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5448115bf7339666bec447957898b8d"><td class="memItemLeft" align="right" valign="top"><a id="aa5448115bf7339666bec447957898b8d"></a>
constexpr FloatFormat&#160;</td><td class="memItemRight" valign="bottom"><b>Fixed</b> {FloatFormat::Fixed}</td></tr>
<tr class="separator:aa5448115bf7339666bec447957898b8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Provides shortcuts for simpler use of the print function with options. Include this header and alias the namespace, e.g., <code>namespace prt = cpp20print::printing::shortcuts;</code> Then use as <code>print("text", prt::Options {.color = prt::Green});</code>. </p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
